require( "scripts/style.lua" );

TextStyle=
{
	kMax = 100,
	parent=DialogBodyText,
	x=0,y=246,w=kMax,h=kMax-80
};

MakeDialog
{
	Bitmap
	{
		name = "MiniGame",
		image = "backgrounds/mainmenu",
		x = 0,
		y = 0,
		scale = 1.00,
		
		Window
		{
			name="minigametext",
			w=kMax,h=kMax,

			SetStyle(TextStyle),
			Text
			{
				font = SceneTempFont,
				AppendStyle{ font = { standardFont, size, Color(255,255,255,255)} },
				label="minigame",
				scale = 2.00,
			},
			SetStyle(ButtonStyle),
			Button
			{
				label="back",
				name="back",
				cancel=true,
				close = (true);
				align=kHAlignLeft+kVAlignBottom,
				x=20,y=kMax-20,
				command=function() 
					PopModal("MiniGame"); 
					
				end;
			},
			
		SetStyle( LongButtonStyle ),
			Button
			{
				x=20,
				y=660,
				name="hiddenobject",
				label="hidobj",
				cancel=true,
				command=
					function()
						--DoModal("scripts/hiddenobject.lua");
						DoModal("scripts/ingameUI.lua");
					end
		},
		SetStyle( LongButtonStyle ),
			Button
			{
				x=20,
				y=600,
				name="riddles",
				label="riddles",
				cancel=true,
				command=
					function()
						DoModal("scripts/riddlesofsphinx.lua");
					end
		},
		}
	}
	
}
